## latencytop 0.4

=== Makefile ===
DESTDIR =
SBINDIR = /usr/sbin
XCFLAGS = -W `pkg-config --cflags glib-2.0` -D_FORTIFY_SOURCE=2 -Wno-sign-compare 
LDF = -Wl,--as-needed `pkg-config --libs glib-2.0`   -lncursesw 

#
# The w in -lncursesw is not a typo; it is the wide-character version
# of the ncurses library, needed for multi-byte character languages
# such as Japanese and Chinese etc.
#
# On Debian/Ubuntu distros, this can be found in the
# libncursesw5-dev package. 
#

# We write explicity this "implicit rule"
%.o : %.c
	gcc -c $(CFLAGS) $(XCFLAGS) $< -o $@

latencytop: latencytop.o display.o latencytop.h translate.o Makefile
	gcc $(CFLAGS) latencytop.o display.o translate.o $(LDF) -o latencytop 


clean:
	rm -f *~ latencytop DEADJOE *.o

install: latencytop
	mkdir -p $(DESTDIR)/usr/share/latencytop
	install -m 0644 latencytop.trans $(DESTDIR)/usr/share/latencytop/latencytop.trans
	install -m 0755 latencytop $(DESTDIR)$(SBINDIR)/

## latencytop 0.5ubuntu1

=== debian/changelog ===
latencytop (0.5ubuntu1) natty; urgency=low

  * latencytop.8:
    - typo corrected (LP: #735262)

 -- Bhaveek Desai <bhaveekdesai.os@gmail.com>  Mon, 21 Mar 2011 21:51:49 +0530

latencytop (0.5) unstable; urgency=low

  * New upstream version (

 -- Giacomo Catenazzi <cate@debian.org>  Sun, 26 Jul 2009 13:06:24 +0200

latencytop (0.4) unstable; urgency=low

  * New upstream version (added block trace)
  * add options and keybinding to manpage (Closes: #476769)

 -- Giacomo Catenazzi <cate@debian.org>  Thu, 16 May 2008 08:23:03 +0200

latencytop (0.3-4) unstable; urgency=low

  * Ooops, finally merge all changes of previous versions.
  * Merging again some patches from git, so kernel support is enabled
    automatically at program start (Closes: #475548)
  * Don't clean up screen after writing errors (Closes: #469418)

 -- Giacomo Catenazzi <cate@debian.org>  Tue, 15 Apr 2008 08:08:15 +0200

latencytop (0.3-3) unstable; urgency=low

  * Fix building

 -- Giacomo Catenazzi <cate@debian.org>  Mon, 14 Apr 2008 09:05:34 +0200

latencytop (0.3-2) unstable; urgency=low

  * Put latencytop.trans in /usr/share/misc/
  * Pull some patch from git.

 -- Giacomo Catenazzi <cate@debian.org>  Thu, 14 Feb 2008 19:12:26 +0100

latencytop (0.3-1) unstable; urgency=low

  * Initial release (Closes: #462184)

 -- Giacomo Catenazzi <cate@debian.org>  Tue, 12 Feb 2008 22:51:39 +0100

## latencytop 0.5ubuntu2

=== debian/changelog ===
latencytop (0.5ubuntu2) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:42:29 +0000

=== debian/control ===
Source: latencytop
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Giacomo Catenazzi <cate@debian.org>
Build-Depends: cdbs, debhelper (>= 5), pkg-config, libncursesw5-dev,
  libglib2.0-dev, libgtk2.0-dev
Standards-Version: 3.8.2
Homepage: http://www.latencytop.org/

Package: latencytop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A tool for developers to visualize system latencies
 LatencyTOP is a Linux tool for software developers (both kernel
 and userspace), aimed at identifying where in the system latency
 is happening, and what kind of operation/action is causing the
 latency to happen so that the code can be changed to avoid the
 worst latency hiccups.

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_CLEAN_TARGET   = clean
DEB_MAKE_BUILD_TARGET   = latencytop
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/latencytop
DEB_MAKE_CHECK_TARGET   =

## latencytop 0.5ubuntu3

=== debian/changelog ===
latencytop (0.5ubuntu3) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:31:36 +0000

## latencytop 0.5ubuntu4

=== Makefile ===
# FIXME: Use autoconf ?
HAS_GTK_GUI = 1

DESTDIR =
SBINDIR = /usr/sbin
XCFLAGS = -W  -g `pkg-config --cflags glib-2.0` -D_FORTIFY_SOURCE=2 -Wno-sign-compare -I/usr/include/ncursesw
LDF = -Wl,--as-needed `pkg-config --libs glib-2.0`   -lncursesw 

OBJS= latencytop.o text_display.o translate.o fsync.o

ifdef HAS_GTK_GUI
  XCFLAGS += `pkg-config --cflags gtk+-2.0` -DHAS_GTK_GUI
  LDF += `pkg-config --libs gtk+-2.0`
  OBJS += gtk_display.o 
endif


#
# The w in -lncursesw is not a typo; it is the wide-character version
# of the ncurses library, needed for multi-byte character languages
# such as Japanese and Chinese etc.
#
# On Debian/Ubuntu distros, this can be found in the
# libncursesw5-dev package. 
#

# We write explicity this "implicit rule"
%.o : %.c
	gcc -c $(CFLAGS) $(XCFLAGS) $< -o $@

latencytop:  $(OBJS) latencytop.h Makefile
	gcc $(CFLAGS) $(OBJS) $(LDF) -o latencytop 

clean:
	rm -f *~ latencytop DEADJOE *.o

install: latencytop
	mkdir -p $(DESTDIR)/usr/share/latencytop
	install -m 0644 latencytop.trans $(DESTDIR)/usr/share/latencytop/latencytop.trans
	install -m 0644 *.png $(DESTDIR)/usr/share/latencytop/
	install -m 0755 latencytop $(DESTDIR)$(SBINDIR)/

=== debian/changelog ===
latencytop (0.5ubuntu4) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:16:24 +0000

## latencytop 0.5+apricot

=== debian/changelog ===
latencytop (0.5+apricot) unstable; urgency=low

  * New upstream version (

 -- Giacomo Catenazzi <cate@debian.org>  Sun, 26 Jul 2009 13:06:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: latencytop
 Section: utils
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Giacomo Catenazzi <cate@debian.org>
+Maintainer: Giacomo Catenazzi <cate@debian.org>
 Build-Depends: cdbs, debhelper (>= 5), pkg-config, libncursesw5-dev,
   libglib2.0-dev, libgtk2.0-dev
 Standards-Version: 3.8.2

## latencytop 0.5.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 DESTDIR =
 SBINDIR = /usr/sbin
-XCFLAGS = -W  -g `pkg-config --cflags glib-2.0` -D_FORTIFY_SOURCE=2 -Wno-sign-compare -I/usr/include/ncursesw
+XCFLAGS = -W  -g `pkg-config --cflags glib-2.0` -D_FORTIFY_SOURCE=2 -Wno-sign-compare
 LDF = -Wl,--as-needed `pkg-config --libs glib-2.0`   -lncursesw 
 
 OBJS= latencytop.o text_display.o translate.o fsync.o

=== debian/changelog ===
latencytop (0.5.0-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1070873)

 -- Boyuan Yang <byang@debian.org>  Fri, 10 May 2024 19:17:29 -0400

latencytop (0.5.0-2) unstable; urgency=medium

  * debian/control: Mark the binary package to be linux-any. This
    software is not compatible with non-Linux kernel. (Closes: #491295)

 -- Boyuan Yang <byang@debian.org>  Sun, 28 Apr 2024 09:17:51 -0400

latencytop (0.5.0-1) unstable; urgency=medium

  * Take over package maintenance after consulting with the old
    package maintainer. (Closes: #1068786)
  * debian/: Apply "wrap-and-sort -abst".
  * debian/patches/0004-no-implicit-declarations.patch: Add patch from
    Ubuntu to fix FTBFS with Werror=implicit-function-declaration.
    (Closes: #1066512)
  * Update standards version to 4.7.0, no changes needed.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 0.4.

 -- Boyuan Yang <byang@debian.org>  Thu, 11 Apr 2024 11:00:10 -0400

latencytop (0.5.0-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Bump source version string to avoid rejection from previous
    unreasonable version string. (Closes: #992680)

 -- Boyuan Yang <byang@debian.org>  Tue, 24 Aug 2021 13:26:42 -0400

latencytop (0.5-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to "3.0 (quilt)" source format for a sanity.
    (Closes: #947051)
  * debian/rules: Convert to dh sequencer.
  * debian/patches/0001-Convert-to-autoconf.patch: Convert buildsystem
    to autotools for better compatibility.
    + Fixes cross compilation. (Closes: #900303)
  * debian/patches/0002-Fix-FTBFS-in-fsync.c.patch: Fix FTBFS with
    clang. (Closes: #760285)
  * debian/patches/0003-typo-fix.patch: Fix typo in man page.
    (Closes: #619490)
  * debian/control:
    + Add packaging VCS field (Debian Salsa GitLab).
    + Bump debhelper compat to v13. Closes: #965618
    + Bump Standards-Version to 4.5.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Aug 2021 00:21:33 -0400

=== debian/control ===
Source: latencytop
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libglib2.0-dev,
 libgtk2.0-dev,
 libncurses-dev,
 pkgconf,
Standards-Version: 4.7.0
Homepage: https://www.latencytop.org/
Vcs-Git: https://salsa.debian.org/debian/latencytop.git
Vcs-Browser: https://salsa.debian.org/debian/latencytop

Package: latencytop
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Tool for developers to visualize system latencies
 LatencyTOP is a Linux tool for software developers (both kernel
 and userspace), aimed at identifying where in the system latency
 is happening, and what kind of operation/action is causing the
 latency to happen so that the code can be changed to avoid the
 worst latency hiccups.

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@
